﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using alfabetoMemoria.Models;

namespace alfabetoMemoria.Migrations
{
    [DbContext(typeof(ApiDbContext))]
    [Migration("20190827013412_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn)
                .HasAnnotation("ProductVersion", "2.2.6-servicing-10079")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("Carta", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int?>("JogoId");

                    b.Property<string>("Nome");

                    b.Property<string>("UrlImg");

                    b.HasKey("Id");

                    b.HasIndex("JogoId");

                    b.ToTable("Cartas");
                });

            modelBuilder.Entity("Jogador", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Nome");

                    b.Property<int>("RecordJogadas");

                    b.HasKey("Id");

                    b.ToTable("Jogadores");
                });

            modelBuilder.Entity("Jogo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("Jogadas");

                    b.Property<int?>("JogadorId");

                    b.HasKey("Id");

                    b.HasIndex("JogadorId");

                    b.ToTable("Jogos");
                });

            modelBuilder.Entity("Carta", b =>
                {
                    b.HasOne("Jogo")
                        .WithMany("Cartas")
                        .HasForeignKey("JogoId");
                });

            modelBuilder.Entity("Jogo", b =>
                {
                    b.HasOne("Jogador", "Jogador")
                        .WithMany()
                        .HasForeignKey("JogadorId");
                });
#pragma warning restore 612, 618
        }
    }
}
